org.firebirdsql.jdbc

## Enum FBStatement.StatementResult

- java.lang.Object
- - java.lang.Enum<FBStatement.StatementResult>
  - - org.firebirdsql.jdbc.FBStatement.StatementResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FBStatement.StatementResult>
  Enclosing class:
    FBStatement

      protected static enum FBStatement.StatementResult
      extends java.lang.Enum<FBStatement.StatementResult>

  The current result of a statement.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_MORE_RESULTS`
    `RESULT_SET`
    `UPDATE_COUNT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract FBStatement.StatementResult` | `nextResult()`
    `static FBStatement.StatementResult` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FBStatement.StatementResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESULT_SET

          public static final FBStatement.StatementResult RESULT_SET

    - #### UPDATE_COUNT

          public static final FBStatement.StatementResult UPDATE_COUNT

    - #### NO_MORE_RESULTS

          public static final FBStatement.StatementResult NO_MORE_RESULTS

  - ### Method Detail

    - #### values

          public static FBStatement.StatementResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FBStatement.StatementResult c : FBStatement.StatementResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FBStatement.StatementResult valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### nextResult

          public abstract FBStatement.StatementResult nextResult()

      Returns:
        Next result

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.